package com.ccnode.codegenerator.dom.a;

package .tmp;

import com.ccnode.codegenerator.dom.b;
import com.google.common.base.Optional;
import com.intellij.codeInsight.lookup.LookupElementBuilder;
import com.intellij.icons.AllIcons;
import com.intellij.openapi.util.TextRange;
import com.intellij.psi.PsiClass;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiMethod;
import com.intellij.psi.PsiNamedElement;
import com.intellij.psi.PsiParameter;
import com.intellij.psi.PsiReferenceBase;
import com.intellij.psi.xml.XmlAttributeValue;
import java.util.ArrayList;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.SourceDebugExtension;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000$\n\002\030\002\n\002\030\002\n\002\030\002\n\002\b\002\n\002\030\002\n\002\b\002\n\002\020\021\n\002\020\000\n\002\b\003\030\0002\n\022\006\022\004\030\0010\0020\001B\031\022\b\020\003\032\004\030\0010\002\022\b\020\004\032\004\030\0010\005¢\006\002\020\006J\023\020\007\032\b\022\004\022\0020\t0\bH\026¢\006\002\020\nJ\n\020\013\032\004\030\0010\002H\026¨\006\f"}, d2 = {"Lcom/ccnode/codegenerator/dom/converter/ParameterNameReference;", "Lcom/intellij/psi/PsiReferenceBase;", "Lcom/intellij/psi/PsiElement;", "element", "range", "Lcom/intellij/openapi/util/TextRange;", "(Lcom/intellij/psi/PsiElement;Lcom/intellij/openapi/util/TextRange;)V", "getVariants", "", "", "()[Ljava/lang/Object;", "resolve", "MyBatisCodeHelper-Pro241"})
@SourceDebugExtension({"SMAP\nParameterNameReference.kt\nKotlin\n*S Kotlin\n*F\n+ 1 ParameterNameReference.kt\ncom/ccnode/codegenerator/dom/converter/ParameterNameReference\n+ 2 ArrayIntrinsics.kt\nkotlin/ArrayIntrinsicsKt\n+ 3 ArraysJVM.kt\nkotlin/collections/ArraysKt__ArraysJVMKt\n*L\n1#1,59:1\n26#2:60\n26#2:61\n37#3,2:62\n*S KotlinDebug\n*F\n+ 1 ParameterNameReference.kt\ncom/ccnode/codegenerator/dom/converter/ParameterNameReference\n*L\n40#1:60\n45#1:61\n57#1:62,2\n*E\n"})
public final class k extends PsiReferenceBase<PsiElement> {
  public k(@Nullable PsiElement paramPsiElement, @Nullable TextRange paramTextRange) {
    super(
        paramPsiElement, paramTextRange, true);
  }
  
  @Nullable
  public PsiElement resolve() {
    if (!(this.myElement instanceof XmlAttributeValue))
      return null; 
    Intrinsics.checkNotNull(this.myElement);
    Optional<PsiClass> optional1 = b.a.a((XmlAttributeValue)this.myElement);
    Optional<PsiClass> optional2 = optional1;
    PsiClass psiClass = optional2.get();
    if (psiClass == null)
      return null; 
    Intrinsics.checkNotNullExpressionValue(psiClass.getConstructors(), "");
    PsiMethod[] arrayOfPsiMethod;
    byte b;
    int i;
    for (arrayOfPsiMethod = psiClass.getConstructors(), b = 0, i = arrayOfPsiMethod.length; b < i; ) {
      PsiMethod psiMethod = arrayOfPsiMethod[b];
      Intrinsics.checkNotNullExpressionValue(psiMethod.getParameterList().getParameters(), "");
      PsiParameter[] arrayOfPsiParameter;
      byte b1;
      int j;
      for (arrayOfPsiParameter = psiMethod.getParameterList().getParameters(), b1 = 0, j = arrayOfPsiParameter.length; b1 < j; ) {
        PsiParameter psiParameter = arrayOfPsiParameter[b1];
        Intrinsics.checkNotNull(this.myElement);
        if (psiParameter.getName().equals(((XmlAttributeValue)this.myElement).getValue()))
          return (PsiElement)psiParameter; 
        b1++;
      } 
      b++;
    } 
    return null;
  }
  
  @NotNull
  public Object[] getVariants() {
    if (!(this.myElement instanceof XmlAttributeValue)) {
      boolean bool = false;
      return 


















        
        new Object[0];
    } 
    Intrinsics.checkNotNull(this.myElement);
    Optional<PsiClass> optional = b.a.a((XmlAttributeValue)this.myElement);
    PsiClass psiClass = optional.get();
    if (psiClass == null) {
      boolean bool = false;
      return new Object[0];
    } 
    ArrayList<LookupElementBuilder> arrayList1 = new ArrayList();
    Intrinsics.checkNotNullExpressionValue(psiClass.getConstructors(), "");
    PsiMethod[] arrayOfPsiMethod;
    byte b;
    int i;
    for (arrayOfPsiMethod = psiClass.getConstructors(), b = 0, i = arrayOfPsiMethod.length; b < i; ) {
      PsiMethod psiMethod = arrayOfPsiMethod[b];
      Intrinsics.checkNotNullExpressionValue(psiMethod.getParameterList().getParameters(), "");
      PsiParameter[] arrayOfPsiParameter;
      byte b1;
      int j;
      for (arrayOfPsiParameter = psiMethod.getParameterList().getParameters(), b1 = 0, j = arrayOfPsiParameter.length; b1 < j; ) {
        PsiParameter psiParameter = arrayOfPsiParameter[b1];
        if (psiParameter.getName() != null) {
          Intrinsics.checkNotNullExpressionValue(LookupElementBuilder.create((PsiNamedElement)psiParameter).withIcon(AllIcons.Nodes.Parameter).withTypeText(psiParameter.getType().getPresentableText()), "");
          arrayList1.add(LookupElementBuilder.create((PsiNamedElement)psiParameter).withIcon(AllIcons.Nodes.Parameter).withTypeText(psiParameter.getType().getPresentableText()));
        } 
        b1++;
      } 
      b++;
    } 
    ArrayList<LookupElementBuilder> arrayList2 = arrayList1;
    b = 0;
    ArrayList<LookupElementBuilder> arrayList3 = arrayList2;
    return arrayList3.toArray(new Object[0]);
  }
}
